Skip to main content
GET
/
v1
/
integrations
Get all integrations
curl --request GET \
  --url https://dev.flextell.ai/api/v1/integrations \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "system_name": "<string>",
      "description": "<string>",
      "company_name": "<string>",
      "company_url": "<string>",
      "company_logo": "<string>",
      "type": "<string>",
      "required_fields": [
        "<unknown>"
      ],
      "is_new": true,
      "is_active": true,
      "is_scoped_to_user": true,
      "is_connected": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
type
enum<string>

Filter by integration type.

Available options:
chat,
llm,
calendar,
invoice,
email,
crm
is_new
boolean | null

Filter by new flag.

Response

Array of IntegrationResource

data
IntegrationResource · object[]
required